
<script type="text/x-red" data-help-name="modbus-client">
  <p><strong>
      If you have many nodes on this communication (see configuration nodes),
      think about multiple connections to your Modbus device, please!
      Many devices are able to connecting multiple.
  </strong></p>

 <p>
     Add a catch to your flow:
     <pre>
          [{"id":"cdd076d5.dab728","type":"catch","z":"b245d3e4.b52de","name":"","scope":null,"x":1020,"y":40,
          "wires":[["8516d63d.1c29a8"]]},{"id":"8516d63d.1c29a8","type":"debug","z":"b245d3e4.b52de","name":"",
          "active":true,"console":"false","complete":"true","x":1170,"y":40,"wires":[]}]
     </pre>
 </p>


  <p>Uses ModbusRTU ('modbus-serial') to read/write by ethernet host:port or TTY register/coil/input addresses.</p>
  <p>The Xstate machine ('Xstate/fsm') organizing the states to work with reconnects and a queue of commands.</p>
  <p>
      <h3>Basics</h3>
      <ul>
          <li>Type (TCP/Serial)</li>
          <li>Queue commands (true/false) - with true it buffers incoming Modbus commands and send them with
          delay</li>
          <li>Queue Work Delay (default 0 ms) - ms interval to delay sending commands from queue (sumOfWaiting=requestsPerCycle*delay)</li>
          <li>Unit-ID (default 1 [serial] or 0 [tcp]) - to set one Unit-ID for all nodes without Unit-ID.
          Set the Unit-ID of the Read/Write/Getter node's to empty for using this ID</li>
          <li>Timeout (default 1000 ms) - ms for the command timeout on ModbusRTU command</li>
          <li>Reconnect timeout (default 2000 ms) - time to wait on reconnect before next sending</li>
          <li>Reconnect on timeout - should the client do a reconnect or not on timeouts</li>
          <li>Parallel UnitId's allowed - handle commands in parallel per UnitId or not</li>
      </ul>

      <h3>TCP</h3>
      <ul>
          <li>Host - IP address</li>
          <li>Port (default 502)</li>
      </ul>

      <h3>Serial</h3>
      <ul>
          <li>Serial Port (/dev/tty.usbserial | COM[1..n])</li>
          <li>Serial Baud rate</li>
          <li>Serial Databits</li>
          <li>Serial Stopbits</li>
          <li>Serial Parity</li>
          <li>Serial Type</li>
          <li>Serial Connection delay (default 500 ms) - time to delay first command sending after reconnect</li>
      </ul>
  </p>
</script>
